phing-tasks-system-condition

# Class: ElseIfTask Source Location: /tasks/system/IfTask.php
### Class Overview
    ProjectComponent
       |
       --ConditionBase
          |
          --ElseIfTask
"Inner" class for IfTask. #### Author(s): Andreas Aderhold <andi@binarycloud.com> Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 557 $ #### Copyright: © 2001,2002 THYRELL. All rights reserved | ### Methods addThen evaluate main
### Inherited Variables #### Class: ConditionBase ConditionBase::$conditions #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ConditionBase ConditionBase::addAvailable() ConditionBase::countConditions() ConditionBase::createAnd() ConditionBase::createContains() ConditionBase::createEquals() ConditionBase::createIsFalse() ConditionBase::createIsSet() ConditionBase::createIsTrue() ConditionBase::createNot() ConditionBase::createOr() ConditionBase::createOs() ConditionBase::createReferenceExists() ConditionBase::getConditions() ConditionBase::getIterator() Required for IteratorAggregate #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 188] "Inner" class for IfTask. This class has same basic structure as the IfTask, although of course it doesn't support <else> tags. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 557 $
copyright: | © 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method addThen [line 192]
`void addThen( $t)`
#### Tags:
access: | public
#### Parameters:
SequentialTask | $t |
[ Top ] ### method evaluate [line 202]
`boolean evaluate( )`
#### Tags:
access: | public
[ Top ] ### method main [line 220]
`void main( )`
#### Tags:
access: | public
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:03 +0200 by phpDocumentor 1.4.3